//
// C++ Interface: dlgeditgauge
//
// Description: 
//
//
// Author: Tomas Mecir <kmuddy@kmuddy.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef DLGEDITGAUGE_H
#define DLGEDITGAUGE_H

#include <kdialogbase.h>

class cGauge;
class KColorButton;
class KLineEdit;
class QCheckBox;

/**
Dialog used to edit information about one gauge.

@author Tomas Mecir
*/
class dlgEditGauge : public KDialogBase
{
Q_OBJECT
public:
  dlgEditGauge (cGauge *g, QWidget *parent=0, const char *name=0);
  ~dlgEditGauge ();

  bool showMe ();
protected:
  void createDialog ();
  
  cGauge *gauge;

  KLineEdit *variable, *maxvariable, *caption;
  KColorButton *btcolor;
  QCheckBox *chkhidden;
};

#endif
