//
// C++ Implementation: dlgmxpconsole
//
// Description: 
//
//
// Author: Tomas Mecir <kmuddy@kmuddy.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "dlgmxpconsole.h"

#ifdef HAVE_MXP

#include <klocale.h>
#include <qtextedit.h>

dlgMXPConsole::dlgMXPConsole (QWidget *parent, const char *name) :
    KDialogBase (parent, name, false, i18n ("MXP Console"), 0)
{
  setInitialSize (QSize (300, 200));

  createDialog ();
}


dlgMXPConsole::~dlgMXPConsole ()
{
}

void dlgMXPConsole::createDialog ()
{
  viewer = new QTextEdit (this);
  viewer->setTextFormat (Qt::PlainText);
  
  setMainWidget (viewer);
  
  //no focus - we don't want this dialog to get focus :)
  setFocusPolicy (NoFocus);
  viewer->setFocusPolicy (NoFocus);
}

void dlgMXPConsole::addLine (const QString &line)
{
  viewer->append (line);
  QScrollBar *sb = viewer->verticalScrollBar();
  sb->setValue (sb->maxValue ());
}

#endif  //HAVE_MXP

#include "dlgmxpconsole.moc"
