//
// C++ Interface: dlgmxpconsole
//
// Description: 
//
//
// Author: Tomas Mecir <kmuddy@kmuddy.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef DLGMXPCONSOLE_H
#define DLGMXPCONSOLE_H

#include <config.h>

#include <kdialogbase.h>

class QTextEdit;

/**
Dialog showing the MXP console.

@author Tomas Mecir
*/
class dlgMXPConsole : public KDialogBase
{
Q_OBJECT
public:

#ifdef HAVE_MXP
  
  /** constructor */
  dlgMXPConsole (QWidget *parent = 0, const char *name = 0);
  /** destructor */
  ~dlgMXPConsole ();
  /** add new line to the dialog */
  void addLine (const QString &line);
protected:
  void createDialog ();
  QTextEdit *viewer;

#endif  //HAVE_MXP

};

#endif
