//
//
// C++ Implementation: cprompt
//
// Description:
//
//
// Author: Tomas Mecir <kmuddy@kmuddy.net>, (C) 2003
//
// Copyright: See COPYING file that comes with this distribution
//
//

#include <qlabel.h>
#include "cprompt.h"

cPrompt::cPrompt(int sess, QWidget *parent) :
  QLabel (parent), cActionBase ("prompt", sess)
{

  addEventHandler ("got-prompt", 50, PT_STRING);
}

cPrompt::~cPrompt()
{
  removeEventHandler ("got-prompt");
}

void cPrompt::eventHandler (QString event, int, QString &par1, const QString &)
{
  if (event == "got-prompt")
    updatePrompt (par1);
}

void cPrompt::updatePrompt(const QString &text)
{
  setText (text);
}

