//
// C++ Interface: scriptingplugin
//
// Description: scriptingplugin
//
//
// Author: YOUR-NAME, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef SCRIPTINGPLUGIN_H
#define SCRIPTINGPLUGIN_H

#include <cplugin.h>

struct cScriptingPluginPrivate;

class cScriptingPlugin : public cPlugin
{
Q_OBJECT
public:
  cScriptingPlugin (QObject *, const char *, const QStringList &);
  virtual ~cScriptingPlugin ();
  
  virtual void sessionAdd (int sess, bool fresh = true);
  virtual void sessionRemove (int sess, bool closed = true);
  virtual void sessionSwitch (int sess);
  virtual void connected (int sess);
  virtual void disconnected (int sess);  
  virtual void load (int sess);
  virtual void save (int sess);

protected slots:
  void handleScriptsDialog ();
  void showRunningScripts (bool val);
  void runningScriptsFinished ();
  
protected:
  void updateRunningList ();
  void enableMenus (bool enable = true);

  cScriptingPluginPrivate *d;
};


#endif // SCRIPTINGPLUGIN_H

