//
// C++ Interface: cgaugebar
//
// Description: 
//
//
// Author: Tomas Mecir <kmuddy@kmuddy.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef CGAUGEBAR_H
#define CGAUGEBAR_H

#include <qwidget.h>

#include "cactionbase.h"

class cGaugeList;

class QHBoxLayout;

/**
The gauge bar.

@author Tomas Mecir
*/
class cGaugeBar : public QWidget, public cActionBase
{
Q_OBJECT
 public:
  /** constructor */
  cGaugeBar (int sess, QWidget *parent = 0, const char *name = 0);
  /** destructor */
  ~cGaugeBar ();

  /** rebuild the gaugebar from this list of gauges */
  void rebuild (cGaugeList *gauges);
 protected:
  QHBoxLayout *layout;
};

#endif
