//
// C++ Interface: dlgeditstatusvar
//
// Description: Edit status variable dialog
//
//
// Author: Tomas Mecir <kmuddy@kmuddy.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef DLGEDITSTATUSVAR_H
#define DLGEDITSTATUSVAR_H

#include <kdialogbase.h>

class cStatusVar;
class KLineEdit;
class QCheckBox;

/**
Dialog used to edit information about one status variable.

@author Tomas Mecir
*/
class dlgEditStatusVar : public KDialogBase
{
Q_OBJECT
public:
  dlgEditStatusVar (cStatusVar *sv, QWidget *parent=0, const char *name=0);
  ~dlgEditStatusVar ();

  bool showMe ();
protected:
  void createDialog ();
  
  cStatusVar *statusvar;

  KLineEdit *variable, *maxvariable, *caption;
  QCheckBox *chkpercent, *chkhidden;
};

#endif
