//
// C++ Interface: dlggauges
//
// Description: 
//
//
// Author: Tomas Mecir <kmuddy@kmuddy.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef DLGGAUGES_H
#define DLGGAUGES_H

#include <kdialogbase.h>

class cGaugeList;
class KPushButton;

/**
The Gauges dialog box.

@author Tomas Mecir
*/
class dlgGauges : public KDialogBase
{
Q_OBJECT
public:
  dlgGauges (cGaugeList *glist, QWidget *parent = 0, const char *name = 0);

  ~dlgGauges ();
protected slots:
  void add ();
  void modify ();
  void remove ();
  void up ();
  void down ();
protected:
  void createDialog ();

  void updateMe ();

  cGaugeList *gl;
  
  KListBox *box;
  KPushButton *btadd, *btmodify, *btdelete, *btup, *btdown;
};

#endif
