//
// C++ Interface: stringsplugin
//
// Description: Stringsing Plugin.
//
//
// Author: Tomas Mecir <kmuddy@kmuddy.net>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef TESTPLUGIN_H
#define TESTPLUGIN_H

#include <cplugin.h>

struct cStringsPluginPrivate;

class cStringsPlugin : public cPlugin
{
public:
  cStringsPlugin (QObject *, const char *, const QStringList &);
  virtual ~cStringsPlugin ();
protected:
  void registerFunctions ();
  void unregisterFunctions ();
  cStringsPluginPrivate *d;
};


#endif // TEST_PLUGIN_H

